/* poppins-regular - latin */
@font-face {
    font-display: swap;
    /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    src: url('fonts/poppins-v24-latin-regular.woff2') format('woff2');
    /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* poppins-500 - latin */
@font-face {
    font-display: swap;
    /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 500;
    src: url('fonts/poppins-v24-latin-500.woff2') format('woff2');
    /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* poppins-700 - latin */
@font-face {
    font-display: swap;
    /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 700;
    src: url('fonts/poppins-v24-latin-700.woff2') format('woff2');
    /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

* {
    margin: 0;
    padding: 0;
    border: none;
}

a {
    transition: all 0.2s ease-in-out;
}

a {
    color: #0099FF;
}

html {
    font: 18px/180% 'Poppins', sans-serif;
    color: #18181A;
}

ul,
ol {
    list-style-position: inside;
}

h1 {
    font-weight: 500;
    font-size: 56px;
    margin-bottom: 4rem;
    line-height: 120%;
}
h2 {
    font-weight: 500;
    line-height: 140%;
    font-size: 40px;
    margin-bottom: 2rem;
}

h3 {
    font-weight: 500;
    font-size: 1.4rem;
    line-height: 140%;
    margin-bottom: 1rem;
    margin-top: 2rem;
}

p {
    margin-bottom: 1rem;
}

ul,
ol {
    margin-bottom: 2rem;
}

kbd {
    background: rgba(0, 0, 0, 0.08);
    border-radius: 3px;
    padding: .1rem .3rem;
    font: inherit;
    font-weight: 700;
    font-size: 80%;
}

strong {
    font-weight: 500;
}

time {
    text-transform: uppercase;
    letter-spacing: .1rem;
    display: block;
    margin-bottom: -.2rem;
    margin-top: 2rem;
}

time+h3 {
    margin-top: 0;
    margin-bottom: 1rem;
}

.center {
    text-align: center;
}

/* Main Structure */

section {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
    column-gap: 100px;
    row-gap: 3rem;
    text-align: left;
    align-items: top;
    margin: 0rem 0%;
    padding: 5rem 8%;
}

section.fullwidth {
    display: block;
}

section h2 {
    grid-column: 1/-1;
}

section.alternate {
    background: #F2F5F7;
}

section.image-bottom {
    grid-template-columns: 1fr;
    margin: 10rem 0;
}

section.textonly {
    align-items: flex-start;
    text-align: left;
}

.flexi-image {
    width: 100%;
    max-width: 1000px;
}

.flexi-image.medium {
    max-width: 750px;
}

.flexi-image.small {
    max-width: 500px;
}

.flexi-image.iphone {
    max-width: 320px;
    margin: 0 1rem;
    border-radius: 32px;
    border: .5px solid rgba(0, 0, 0, 0.2);
}

.flexi-image.ipad {
    margin: 2rem 1rem;
    border-radius: 12px;
    border: .5px solid rgba(0, 0, 0, 0.2);
}

.flexi-image.watch {
    max-width: 180px;
    margin: 0 1rem;
    border-radius: 20px;
    border: .5px solid rgba(0, 0, 0, 0.2);
}

.fadein {
    opacity: 0;
}

@media only screen and (max-width: 640px) {
    section {
        padding: 2rem 6%;
    }

    h1 {
        font-size: 3rem;
        margin-bottom: 2rem;
        text-align: left;
        margin-top: 1rem;
    }

    h2 {
        margin-bottom: 0;
    }
}

/* Section Styling */

.icon-indent {
    position: relative;
    padding-left: 64px;
    margin-bottom: 32px;
}

.icon-indent h3 {
    margin-top: 0;
    position: relative;
}

.icon-indent img {
    position: absolute;
    left: -64px;
    width: 48px;
    height: 48px;
    top: -2px;
}

@media only screen and (max-width: 640px) {
    .fullwidth .icon-indent {
        position: static;
        padding-left: 0;
    }

    .fullwidth .icon-indent img {
        position: static;
        float: right;
        margin-left: 1rem;
    }
}


/* Footer */

nav ul {
    list-style: none;
    margin: 0;
}

nav ul li {
    display: inline-block;
}

nav a {
    color: #737A80;
    text-decoration: none;
    font-weight: 500;
    text-transform: uppercase;
    letter-spacing: .05rem;
    padding: .2rem 0;
    margin-right: 1rem;
}

nav.primary {
    background: #242526;
    color: #ffffff;
    display: grid;
    grid-row-gap: .5rem;
    font-size: .8rem;
    padding: .5rem 2.5rem;
    text-align: center;
    grid-template-columns: 100px 1fr 100px;
    justify-content: center;
    align-items: center;
}

nav.primary a {
    color: #ffffff;
    padding: .3rem .8rem;
    margin: 0 .3rem;
    border-radius: 20px;
}

nav.primary a.selected,
nav.primary a.selected:hover {
    border: none;
    color: #000000;
    background-color: rgba(255, 255, 255, 1);
}

nav.primary a:hover {
    color: #ffffff;
    background-color: rgba(255, 255, 255, .1);
}

nav.secondary {
    display: grid;
    grid-template-columns: 100px auto 100px;
    border-bottom: 1px solid #F2F5F7;
    position: relative;
    padding: 1.5rem 2rem;
    text-align: center;
    align-items: center;
}

nav.secondary a {
    color: inherit;
}

nav.secondary a:hover {
    color: #0099FF;
}

nav.secondary a.selected {
    color: #0099FF;
    border-bottom: 1px solid #0099FF;
}

nav .socialmedia {
    text-align: right;
}

nav .socialmedia a {
    margin: 0;
    margin-left: .5rem;
}

@media only screen and (max-width: 640px) {
    nav.primary {
        font-size: .7rem;
        padding: .5rem 7%;
        text-align: center;
        grid-template-columns: 20px 1fr;
        column-gap: 0;
    }

    nav.primary a {
        margin: 0;
        padding: 0 .3rem;
    }

    nav.secondary {
        font-size: .8rem;
        padding: 1rem 6%;
        grid-template-columns: 1fr 1fr 1fr;
        grid-template-rows: 2.5rem 2rem;
        grid-template-areas:
            "logo logo social"
            "nav nav nav";
    }

    nav.secondary>a {
        grid-area: logo;
        text-align: left;
    }

    nav.secondary ul {
        grid-area: nav;
        text-align: left;
    }

    nav.secondary .socialmedia {
        grid-area: social;
        text-align: right;
    }

    nav.secondary>ul:first-child a {
        border: 1px solid red;
    }
}

@media only screen and (max-width: 320px) {
    nav.primary {
        font-size: .6rem;
        text-align: center;
        grid-template-columns: 20px 1fr;
        column-gap: 0;
    }
}

/* Hero */

.hero {
    align-items: center;
}

.hero h1 {
    margin-bottom: 2rem;
}

.hero h1 img {
    height: 8vw;
}

.hero h2 {
    margin-bottom: 1rem;
}

.hero p {
    font-weight: normal;
    margin-bottom: 2rem;
}

.hero p .button {
    margin-right: 1rem;
}

.hero .requirements {
    color: #737A80;
    font-size: .8rem;
    font-weight: 500;
}

@media only screen and (max-width: 600px) {
    section.hero {
        padding-top: 0;
        grid-row-gap: 0;
        grid-template-columns: none;
        grid-template-rows: auto auto;
        grid-template-areas:
            "image"
            "text";
    }

    section.hero>div:first-child {
        grid-area: text;
    }

    section.hero>div:last-child {
        grid-area: image;
    }
}

/* Page Header */

.pageheader {
    text-align: center;
}

.pageheader p {
    font-weight: normal;
    font-size: 1.4rem;
    line-height: 160%;
}

@media only screen and (max-width: 640px) {
    .pageheader p {
        text-align: left;
    }

    .pageheader p {
        font-size: 1rem;
    }
}

/* Footer */

footer {
    padding: 6rem 8%;
}


/* Button */

.button {
    background: #242426;
    color: #ffffff;
    padding: 12px 32px;
    display: inline-block;
    text-decoration: none;
    border-radius: 100px;
    font-weight: 500;
    margin-bottom: .5rem;
}

.button.secondary {
    background: none;
    border: 1px solid #0099FF;
    color: #0099FF;
}

.button.tertiary {
    background: none;
    color: #0099FF;
    text-decoration: underline;
    padding: 0.4rem;
}

.button:hover {
    background: #308BF2;
}

.button.secondary:hover {
    background: #EDF5FF;
}

.button.tertiary:hover {
    background: none;
    color: #308BF2;
}

.button:active {
    background-color: #0080FF;
}

/* Download Item */

section.download {
    column-gap: 2rem;
    padding-top: 0;
    line-height: 160%;
    grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
    grid-row-gap: 1rem;
    justify-content: center;
}

.downloaditem div {
    display: inline-flex;
    gap: 24px;
}

.downloaditem {
    border: 1px solid #DAE1E6;
    border-radius: 20px;
    padding: 2rem 2rem;
    box-sizing: border-box;
}

.downloaditem h3 {
    font-size: 100%;
    font-weight: 700;
    margin-bottom: 0;
    margin-top: 0rem;
}

.downloaditem h3 .button {
    float: right;
    margin-left: 2rem;
}

.downloaditem p {
    margin-bottom: 0;
}


/* Screenhots */

section.screenshots {
    column-gap: 2rem;
    grid-template-columns: repeat(auto-fit, minmax(140px, 1fr));
    grid-row-gap: 1rem;
    justify-content: center;
}

section.screenshots a:hover {
    transform: scale(1.1);
}

section.screenshots img {
    border-radius: 5px;
}


/* Notes */

p.note {
    background: rgba(0, 0, 0, 0.04) url("../images/icon-info.svg") no-repeat 2rem 2.4rem;
    padding: 2rem 2rem 2rem 4rem;
    border-radius: 20px;
    margin: 2rem auto 3rem auto;
}


/* FT5 Styles */

section.ft5 {
    display: grid;
    grid-template-columns: auto;
    grid-template-rows: auto;
    column-gap: 64px;
    row-gap: 64px;
    text-align: left;
    padding: 120px 10%;
}

section.ft5 {
    p.subheadline {
        font-size: 24px;
        line-height: 180%;
        margin: 24px 0;
    }

    h1 {
        font-size: 52px;
        line-height: 120%;
        margin-bottom: 0;
    }

    h2 {
        font-size: 44px;
        line-height: 130%;
        margin-bottom: 24px;
    }

    h3 {
        font-size: 24px;
        line-height: 150%;
        margin: 0;
        margin-bottom: 8px;
    }

    .muted {
        color: #7A7A80;
    }

    .checklist {
        list-style: none;
        display: grid;
        grid-row-gap: 64px;
        grid-column-gap: 64px;
        grid-template-columns: repeat(2, 1fr);
    }

    .checklist li {
        background: transparent url("../images/icon-check.svg") no-repeat 0 0;
        padding-left: 32px;
        margin-bottom: 16px;
    }

    .checklist li strong {
        font-weight: 700;
    }

    strong {
        font-weight: 700;
    }

    .appicon {
        height: 200px;
    }

    .heading h2,
    .heading .subheadline {
        padding-right: 25%;
    }

    img {
        display: inline-block;
        text-align: center;
    }

    div.image {
        border-radius: 48px;
        background-color: rgba(102, 102, 128, 0.1);
        height: auto;
        display: grid;
        overflow: hidden;
    }

    div.image img {
        width: 100%;
    }

    >div {
        display: grid;
        max-width: 880px;
        margin: 0 auto;
        width: 100%;
    }

    >div.horizontal {
        display: grid;
        grid-template-columns: 1fr 1fr;
        column-gap: 100px;
        align-items: center;
    }

    >div.horizontal.top {
        align-items: first baseline;
    }

    >div.horizontal.columns3 {
        grid-template-columns: 1fr 1fr 1fr;
    }

    >div.horizontal.reverse div:first-child {
        order: 2;
    }

    .devicelist {
        list-style: none;
        display: inline-flex;
        align-items: center;
        justify-content: center;
        width: auto;
    }

    .devicelist li {
        display: flex;
        margin: 0 24px;
    }

    .devicelist li img {
        display: inline;
        margin-right: 12px;
    }

    .badge {
        background-color: #FF9F19;
        padding: 0 12px;
        border-radius: 100px;
        font-size: 14px;
        color: #fff;
        margin-left: 8px;
    }
}

/* Section Variants */

section.ft5.center {
    text-align: center;
}

section.ft5.hero {
    padding-top: 32px;
}

section.ft5.hero h1 {
    text-align: center;
}

section.ft5.dark {
    background-color: #18181A;
}

section.ft5.dark * {
    color: #ffffff;
}

/* Responsive Version */

@media only screen and (max-width: 640px) {
    section.ft5 {
        row-gap: 32px;
        padding: 64px 8%;
    }

    section.ft5.hero {
        padding-top: 0px;
    }

    section.ft5 {
        .appicon {
            height: 150px;
        }

        >div.horizontal {
            grid-template-columns: auto;
            row-gap: 32px;
        }

        >div.horizontal.columns3 {
            grid-template-columns: auto;
        }

        >div.horizontal.reverse div:first-child {
            order: 0;
        }

        p.subheadline {
            font-size: 24px;
            line-height: 160%;
        }

        h1 {
            font-size: 52px;
        }

        h2 {
            font-size: 40px;
        }

        h3 {
            font-size: 24px;
        }

        .checklist {
            grid-row-gap: 16px;
            grid-template-columns: auto;
        }

        strong {
            font-weight: 600;
        }

        div.image {
            border-radius: 32px;
        }

        .devicelist li {
            margin: 0 8px;
        }
    }
}
